// -*- c++ -*-
// $Id: pen.h,v 1.10 2003/01/12 22:42:19 nhasan Exp $

#ifndef PEN_H
#define PEN_H

#include "tool.h"

class Pen : public Tool
{
  Q_OBJECT
public:
  Pen();
  void mousePressEvent(QMouseEvent *e);
  void mouseMoveEvent(QMouseEvent *e);
  void mouseReleaseEvent(QMouseEvent *e);
  void activating();
  const char* pixmap() const;
signals:
  void modified();
private:
  int lastx;
  int lasty;
  bool drawing;
  int activeButton;
};

#endif // PEN_H

